## sibelia 3.0.7%2Bdfsg

=== debian/changelog ===
sibelia (3.0.7+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Added patch for SeqAn2 2.5.0 support. Closes: #1125659
  * Lintian tag adjustment
  * Standards-Version: 4.7.3 (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints:
      sibelia-examples: Add Multi-Arch: foreign.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Jan 2026 19:23:22 +0100

sibelia (3.0.7+dfsg-5) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113499
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 21:10:24 +0200

sibelia (3.0.7+dfsg-4) experimental; urgency=medium

  * Team upload.
  * d/control: Experimental rebuild using the 3rd release candidate of
    SeqAn 2.5.0
  * Added patch for the explicit seqan2 namespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 15:20:04 +0100

sibelia (3.0.7+dfsg-3) unstable; urgency=medium

  * Enable binary-all builds
    Closes: #956575

 -- Andreas Tille <tille@debian.org>  Tue, 14 Apr 2020 10:29:51 +0200

sibelia (3.0.7+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 22:52:10 +0100

sibelia (3.0.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #922377)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jan 2020 21:05:58 +0100
