=== debian/control ===
Source: sibelia
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libdivsufsort-dev,
 libboost-dev,
 libseqan2-dev,
 libtclap-dev,
 libhts-dev,
Vcs-Browser: https://salsa.debian.org/med-team/sibelia
Vcs-Git: https://salsa.debian.org/med-team/sibelia.git
Homepage: http://bioinf.spbau.ru/sibelia
Rules-Requires-Root: no

Package: sibelia
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 lagan,
Suggests:
 sibelia-examples,
Description: comparative genomics tool
 Sibelia (Synteny Block ExpLoration tool) is a comparative genomics tool:
 It assists biologists in analysing the genomic variations that correlate
 with pathogens, or the genomic changes that help microorganisms adapt in
 different environments. Sibelia will also be helpful for the
 evolutionary and genome rearrangement studies for multiple strains of
 microorganisms.
 .
 Sibelia is useful in finding:
 .
  1) shared regions,
  2) regions that present in one group of genomes but not in others,
  3) rearrangements that transform one genome to other genomes.

Package: sibelia-examples
Architecture: all
Depends:
 ${misc:Depends},
Description: comparative genomics tool (example data)
 Sibelia (Synteny Block ExpLoration tool) is a comparative genomics tool:
 It assists biologists in analysing the genomic variations that correlate
 with pathogens, or the genomic changes that help microorganisms adapt in
 different environments. Sibelia will also be helpful for the
 evolutionary and genome rearrangement studies for multiple strains of
 microorganisms.
 .
 Sibelia is useful in finding:
 .
  1) shared regions,
  2) regions that present in one group of genomes but not in others,
  3) rearrangements that transform one genome to other genomes.
 .
 This package contains example data for sibelia.
