=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_install:
	dh_install
	find debian -name LICENSE.txt -delete
	find debian -name INSTALL.md -delete

override_dh_installman-arch:
	dh_installman -a
#	mkdir -p debian/$(DEB_SOURCE)-annotate//usr/share/man/man1
#	mv debian/$(DEB_SOURCE)-annotate/usr/share/man/py/man1/snpEffAnnotate.1 debian/$(DEB_SOURCE)-annotate/usr/share/man/man1/snpEffAnnotate.py.1
#	rm -rf debian/$(DEB_SOURCE)-annotate/usr/share/man/py/
	mv debian/$(DEB_SOURCE)/usr/share/man/py/man1/C-Sibelia.1 debian/$(DEB_SOURCE)/usr/share/man/man1/C-Sibelia.py.1
	rm -rf debian/$(DEB_SOURCE)/usr/share/man/py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
endif
